import react from "/public/icons/react.svg";
import python from "/public/icons/python.svg";
import golang from "/public/icons/golang.svg";
import svelte from "/public/icons/svelte.svg";
import nextjs from "/public/icons/nextjs.svg";
import typescript from "/public/icons/typescript.svg";
import tailwind from "/public/icons/tailwind.svg";
import JobCardIcon from "./JobCardIcon";

type Skills = {
  react: boolean;
  python: boolean;
  golang: boolean;
  svelte: boolean;
  nextjs: boolean;
  typescript: boolean;
  tailwind: boolean;
};

export default function JobCardIconContainer(props: { skills: Skills }) {
  const { skills } = props;
  return (
    <div className="flex flex-row justify-end gap-2">
      {skills.react && <JobCardIcon src={react} />}
      {skills.python && <JobCardIcon src={python} />}
      {skills.golang && <JobCardIcon src={golang} />}
      {skills.svelte && <JobCardIcon src={svelte} />}
      {skills.nextjs && <JobCardIcon src={nextjs} />}
      {skills.typescript && <JobCardIcon src={typescript} />}
      {skills.tailwind && <JobCardIcon src={tailwind} />}
    </div>
  );
}
